# salt.returners.mattermost_returner

Return salt data via mattermost

Added in version 2017.7.0.

The following fields can be set in the minion conf file:

    mattermost.hook (required)
    mattermost.username (optional)
    mattermost.channel (optional)

Alternative configuration values can be used by prefacing the configuration. Any values not found in the alternative configuration will be pulled from the default location:

    mattermost.channel
    mattermost.hook
    mattermost.username

mattermost settings may also be configured as:

    mattermost:
      channel: RoomName
      hook: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
      username: user

To use the mattermost returner, append '--return mattermost' to the salt command.

    salt '*' test.ping --return mattermost

To override individual configuration items, append --return_kwargs '{'key:': 'value'}' to the salt command.

    salt '*' test.ping --return mattermost --return_kwargs '{'channel': '#random'}'

salt.returners.mattermost_returner.event_return(events)

  Send the events to a mattermost room.

  Parameters:

    events -- List of events

  Returns:

    Boolean if messages were sent successfully.

salt.returners.mattermost_returner.post_message(channel, message, username, api_url, hook)

  Send a message to a mattermost room.

  Parameters:

    - channel -- The room name.

    - message -- The message to send to the mattermost room.

    - username -- Specify who the message is from.

    - hook -- The mattermost hook, if not specified in the configuration.

  Returns:

    Boolean if message was sent successfully.

salt.returners.mattermost_returner.returner(ret)

  Send an mattermost message with the data